CURLOPT_FTP_SSL_CCC(3)

NAME
CURLOPT_FTP_SSL_CCC - switch off SSL again with FTP after auth

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_FTP_SSL_CCC,
                        long how);

DESCRIPTION
If enabled, this option makes libcurl use CCC (Clear Command Channel). It shuts down the SSL/TLS layer after authenticating. The rest of the control channel communication will be unencrypted. This allows NAT routers to follow the FTP transaction. Pass a long using one of the values below

CURLFTPSSL_CCC_NONE
    Don't attempt to use CCC.

CURLFTPSSL_CCC_PASSIVE
    Do not initiate the shutdown, but wait for the server to do it. Do not send a reply.

CURLFTPSSL_CCC_ACTIVE
    Initiate the shutdown and wait for a reply.

DEFAULT
CURLFTPSSL_CCC_NONE

PROTOCOLS
FTP

EXAMPLE
TODO

AVAILABILITY
Added in 7.16.1

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
CURLOPT_USE_SSL(3), CURLOPT_FTPSSLAUTH(3),